List all website monitors
curl --request GET \
--url https://statusstack.com/api/v1/website-monitors \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://statusstack.com/api/v1/website-monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://statusstack.com/api/v1/website-monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"check_frequency": 123,
"expected_status_code": 349,
"verify_ssl": true,
"search_string": "<string>",
"timeout": 123,
"retries": 2,
"paused": true,
"last_checked_at": "2023-11-07T05:31:56Z",
"last_status": "operational",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"current_page": 123,
"total": 123,
"per_page": 123
}
}Website monitors
List all website monitors
GET
/
v1
/
website-monitors
List all website monitors
curl --request GET \
--url https://statusstack.com/api/v1/website-monitors \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://statusstack.com/api/v1/website-monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://statusstack.com/api/v1/website-monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"check_frequency": 123,
"expected_status_code": 349,
"verify_ssl": true,
"search_string": "<string>",
"timeout": 123,
"retries": 2,
"paused": true,
"last_checked_at": "2023-11-07T05:31:56Z",
"last_status": "operational",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"current_page": 123,
"total": 123,
"per_page": 123
}
}Authorizations
StatusStack authenticates requests with API keys, created via the dashboard with granular permissions (read, write, delete, admin, *).
API keys support version compatibility:
- v1 keys: Can only access v1 endpoints
- v2 keys: Can access both v1 and v2 endpoints
Available permissions:
read: View resources (GET requests)write: Create and update resources (POST, PUT requests)delete: Delete resources (DELETE requests)admin: Administrative access to all resources*: Wildcard permission (all actions allowed)
Was this page helpful?

